CREATE TABLE IF NOT EXISTS pull_request_commit (
    repo UUID NOT NULL,
    number BIGINT NOT NULL,
    commit VARCHAR(255) NOT NULL,
    message TEXT NOT NULL,
    author_name VARCHAR(255) NOT NULL,
    author_email VARCHAR(255) NOT NULL,
    authored_at TIMESTAMPTZ NOT NULL,
    committer_name VARCHAR(255) NOT NULL,
    committer_email VARCHAR(255) NOT NULL,
    committed_at TIMESTAMPTZ NOT NULL,
    created_at TIMESTAMPTZ NOT NULL,
    PRIMARY KEY (repo, number, commit)
);
